function [fval] = fun_H(x,q,R,rho,lm,ls,bbeta,quadlim)
% this function finds the threshold sbar for the model 
% with random senior mortality (rho<1)
mu = exp(lm+ls^2/2);

if x < quadlim
  condExpct_s = q*( R* (1 - logncdf(max(x-R,1e-6),lm,ls) ) ...
        + quad( @(s) fun_INT_G(s,lm,ls),max(1e-6,x-R),quadlim) )...
        + (1-q) * quad(@(s) fun_INT_G(s,lm,ls),x,quadlim);
else
      condExpct_s = q*( R* (1 - logncdf(max(x-R,1e-6),lm,ls) ) ...
        + quad( @(s) fun_INT_G(s,lm,ls),max(1e-6,x-R),quadlim) );
end

fval = x *(1 + bbeta *(rho - F_cdf(x,q,R,lm,ls) ))- mu*(1-bbeta*(1-rho)) - bbeta * condExpct_s;

