function [MSE] = fun_estimate_theta7(theta,bbeta,rho,Sigma2,lnX_normz_KT,phi_normz_KT,std_eta_KT,ctrl_vec,nobs_S)
% Lippi - Schivardi  Created by Francesco, April 2009

MSE = 0; 

load sstar0_vec 

q      = abs(theta(1))./(1 + abs(theta(1)));
R_vec  = [abs(theta(2)) abs(theta(3)) abs(theta(6))  abs(theta(4)) ] ;
lm     = abs(theta(5)); % Lm in sector 1 in year 1984
ls     = abs(theta(7));


ls0 = 0.36;
 
quadlim =  1.2*fzero(@(z) 1-logncdf(z,lm,ls0),exp(lm+ls0^2/2));

%tic
for j = 1 :  length(lnX_normz_KT)
    
    % load data
    ln_X   =  lnX_normz_KT(j);
    phi    =  phi_normz_KT(j);
    std_eta = std_eta_KT(j) ;   %   std  error of TFP regression (19)  (this is the new variable)
    
    % Find control  type (1 family, 2 holding, 3 foreing-institution, 4 public )
    R    =  R_vec(ctrl_vec(j))   ;  
    
    %    ****************
    
    sstar0=sstar0_vec(j);
    
    [X_hat,phi_hat, mu , Xo,  std_Xo, std_X_unc, std_eps, sstar] =...
                          fun_Solve_Xphi_new(R,q,rho,lm,ls,bbeta,quadlim);
    
    std_eta_hat =       std_eps/mu ;             
                      
%    [X_hat,phi_hat, Xo, sstar] = fun_Solve_Xphi2(R,q,rho,lm,ls,bbeta,quadlim,sstar0);
    
    weight_X   = nobs_S(j)/Sigma2(1); 
    weight_phi = nobs_S(j)/Sigma2(2); 
    
%  OLD  unconstrained objective function 
%     fval = weight_X *(log(X_hat)-  ln_X )^2 + weight_phi *( phi_hat - phi)^2 ...
%           + weight_phi *( std_eta_hat  - std_eta)^2;
  
%  NEW objective function   constrained to fitting data that are feasible
%  
ln_X_fittable = max (ln_X , log(mu) );
fval = weight_X *(log(X_hat)-  ln_X_fittable )^2 + weight_phi *( phi_hat - phi)^2 ...
           + weight_phi *( std_eta_hat  - std_eta)^2;
%%%%%%%%%%%  

    MSE = MSE   +   fval    ;
    sstar0_vec(j) = sstar   ;
    
end % for j

% normalized MSE (divide square errors by number of observables that are fitted)
MSE = MSE / (3*length(lnX_normz_KT)) ; % normalized MSE

save sstar0_vec  sstar0_vec 
%toc
